Bug 558450 - New interface for installing printer drivers
New interface for installing printer drivers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 456906 F13Target
  Show dependency treegraph
 
Reported: 2010-01-25 07:23 EST by Tim Waugh
Modified: 2010-02-14 01:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-14 01:41:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0001-New-interface-for-installing-printer-drivers.patch (8.46 KB, patch)
2010-01-25 07:23 EST, Tim Waugh
no flags Details | Diff
patch against master (10.13 KB, patch)
2010-02-03 09:55 EST, Tim Waugh
no flags Details | Diff
0001-bugfix-use-correct-provides-tag-for-postscriptdriver.patch (916 bytes, patch)
2010-02-10 13:28 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2010-01-25 07:23:00 EST
Created attachment 386600 [details]
0001-New-interface-for-installing-printer-drivers.patch

I've already submitted this patch but wanted to add a bugzilla bug to track it.
Comment 1 Tim Waugh 2010-02-03 08:10:44 EST
It turns out we do need to replace spaces with underscores after all.

I have ported this patch to master... will attached when tested.
Comment 2 Tim Waugh 2010-02-03 09:55:34 EST
Created attachment 388543 [details]
patch against master

Here is the patch redone against master, with async callbacks and with spaces converted to underscores.
Comment 4 Tim Waugh 2010-02-05 11:54:18 EST
Would be great to get this in rawhide before the feature freeze on Tuesday...
Comment 5 Tim Waugh 2010-02-08 12:44:57 EST
I can't schedule a test day until it's testable... :-/
Comment 6 Tim Waugh 2010-02-10 13:28:11 EST
Thanks for building gnome-packagekit with the patch.  Unfortunately I found a problem in it today (sorry).  Patch coming...
Comment 7 Tim Waugh 2010-02-10 13:28:43 EST
Created attachment 390079 [details]
0001-bugfix-use-correct-provides-tag-for-postscriptdriver.patch

This patch fixes it.
Comment 8 Richard Hughes 2010-02-11 03:25:04 EST
Feel free to commit this sort of thing to GNOME git, and build it in the package. If you need me to commit it, just poke me on IRC. Thanks.
Comment 9 Tim Waugh 2010-02-11 09:03:18 EST
I don't have the privs to do either :-(

I'd really like to get this fix in before the Alpha freeze on Tuesday.
Comment 10 Richard Hughes 2010-02-11 12:56:10 EST
Applied upstream, I'll do a build now.

Note You need to log in before you can comment on or make changes to this bug.